package com.ruoyi.system.domain.loan;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 业务进度对象 loan_schedule
 * 
 * @author boman
 * @date 2024-04-24
 */
public class LoanSchedule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 业务进度id */
    private Long loanScheduleId;

    /** 贷款申请id */
    @Excel(name = "贷款申请id")
    private Long loanApplicationId;

    /** 贷款申请编号 */
    @Excel(name = "贷款申请编号")
    private String loanApplicationNumber;

    /** 进度名称 */
    @Excel(name = "进度名称")
    private String loanScheduleName;

    /** 进度字典值 */
    @Excel(name = "进度字典值")
    private String loanScheduleValue;

    /** 进度排序 */
    @Excel(name = "进度排序")
    private Long loanScheduleScore;

    /** 进度时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "进度时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date loanScheduleTime;

    public void setLoanScheduleId(Long loanScheduleId) 
    {
        this.loanScheduleId = loanScheduleId;
    }

    public Long getLoanScheduleId() 
    {
        return loanScheduleId;
    }
    public void setLoanApplicationId(Long loanApplicationId) 
    {
        this.loanApplicationId = loanApplicationId;
    }

    public Long getLoanApplicationId() 
    {
        return loanApplicationId;
    }
    public void setLoanApplicationNumber(String loanApplicationNumber) 
    {
        this.loanApplicationNumber = loanApplicationNumber;
    }

    public String getLoanApplicationNumber() 
    {
        return loanApplicationNumber;
    }
    public void setLoanScheduleName(String loanScheduleName) 
    {
        this.loanScheduleName = loanScheduleName;
    }

    public String getLoanScheduleName() 
    {
        return loanScheduleName;
    }
    public void setLoanScheduleValue(String loanScheduleValue) 
    {
        this.loanScheduleValue = loanScheduleValue;
    }

    public String getLoanScheduleValue() 
    {
        return loanScheduleValue;
    }

    public Long getLoanScheduleScore() {
        return loanScheduleScore;
    }

    public void setLoanScheduleScore(Long loanScheduleScore) {
        this.loanScheduleScore = loanScheduleScore;
    }

    public void setLoanScheduleTime(Date loanScheduleTime)
    {
        this.loanScheduleTime = loanScheduleTime;
    }

    public Date getLoanScheduleTime() 
    {
        return loanScheduleTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("loanScheduleId", getLoanScheduleId())
            .append("loanApplicationId", getLoanApplicationId())
            .append("loanApplicationNumber", getLoanApplicationNumber())
            .append("loanScheduleName", getLoanScheduleName())
            .append("loanScheduleValue", getLoanScheduleValue())
            .append("loanScheduleScore", getLoanScheduleScore())
            .append("loanScheduleTime", getLoanScheduleTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
